Merge ~mwhudson/debian-cd/+git/ubuntu:only-CD1 into ~ubuntu-cdimage/debian-cd/+git/ubuntu:main

Proposed by Michael Hudson-Doyle
Status: Merged
Merged at revision: d50cf6e243bb8bf83de4a5f72b804a78dba4d12d
Proposed branch: ~mwhudson/debian-cd/+git/ubuntu:only-CD1
Merge into: ~ubuntu-cdimage/debian-cd/+git/ubuntu:main
Diff against target: 417 lines (+68/-199)
3 files modified
CONF.sh (+0/-8)
Makefile (+66/-189)
tools/list2cds (+2/-2)
Reviewer Review Type Date Requested Status
Steve Langasek Approve
Review via email: mp+455326@code.launchpad.net

Commit message

Remove support for building multiple binary CDs for a single project

Description of the change

I think I'm done for now, at least for the rest of the day!

To post a comment you must log in.
Revision history for this message
Michael Hudson-Doyle (mwhudson) wrote :

FWIW I've tested this locally now.

Revision history for this message
Steve Langasek (vorlon) :
review: Needs Fixing
Revision history for this message
Michael Hudson-Doyle (mwhudson) wrote :

On Mon, 20 Nov 2023, 18:42 Steve Langasek, <email address hidden>
wrote:

> Review: Needs Fixing
>
>
>
> Diff comments:
>
> > diff --git a/Makefile b/Makefile
> > index bfe1368..b9c957d 100644
> > --- a/Makefile
> > +++ b/Makefile
> > @@ -39,55 +39,31 @@ CAPSUBPROJECT:=" Legacy"
> > endif
> > endif
> > ifndef BINDISKINFO
> > -ifneq ($(MAXCDS),1)
> > -export BINDISKINFO="$(CAPPROJECT)$(CAPSUBPROJECT) $(DEBVERSION)
> \"$(CAPCODENAME)\" - $(OFFICIAL) $(FULLARCH) Binary-$$num ($$DATE)"
> > -else
> > export BINDISKINFO="$(CAPPROJECT)$(CAPSUBPROJECT) $(DEBVERSION)
> \"$(CAPCODENAME)\" - $(OFFICIAL) $(FULLARCH) ($$DATE)"
> > endif
> > -endif
> > ifndef SRCDISKINFO
> > -export SRCDISKINFO="$(CAPPROJECT)$(CAPSUBPROJECT) $(DEBVERSION)
> \"$(CAPCODENAME)\" - $(OFFICIAL) Source-$$num ($$DATE)"
> > +export SRCDISKINFO="$(CAPPROJECT)$(CAPSUBPROJECT) $(DEBVERSION)
> \"$(CAPCODENAME)\" - $(OFFICIAL) Source-1 ($$DATE)"
>
> But we do produce multiple source ISOs for a release...
> https://cdimage.ubuntu.com/releases/20.04.6/release/source/

Oh oops. Guess I'd better put that back then.

>

Revision history for this message
Michael Hudson-Doyle (mwhudson) wrote :

Ok, I rebased this to only remove the code for handling multiple binary CDs. Not sure I have the patience to test a source ISO build locally, I assume it would need to download rather a lot of data...

Revision history for this message
Steve Langasek (vorlon) :
review: Needs Fixing
Revision history for this message
Michael Hudson-Doyle (mwhudson) wrote :

Ah oops I had a git failure there and let a commit in I meant to exclude. Try again?

Revision history for this message
Steve Langasek (vorlon) :
review: Approve

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
diff --git a/CONF.sh b/CONF.sh
index 51a0087..b15a95a 100644
--- a/CONF.sh
+++ b/CONF.sh
@@ -31,7 +31,6 @@ unset DEFBINSIZE || true
31unset DEFSRCSIZE || true31unset DEFSRCSIZE || true
32unset FASTSUMS || true32unset FASTSUMS || true
33unset DI_CODENAME || true33unset DI_CODENAME || true
34unset MAXCDS || true
35unset OMIT_MANUAL || true34unset OMIT_MANUAL || true
36unset OMIT_RELEASE_NOTES || true35unset OMIT_RELEASE_NOTES || true
3736
@@ -314,13 +313,6 @@ export FASTSUMS=1
314# for all architectures.313# for all architectures.
315#export KERNEL_PARAMS="priority=critical"314#export KERNEL_PARAMS="priority=critical"
316315
317# If set, limits the number of binary CDs to produce.
318if [ "$CDIMAGE_DVD" = 1 ]; then
319 export MAXCDS=1
320else
321 export MAXCDS=1
322fi
323
324# If set to 0, never overflow binary CDs (for when you only want a single CD316# If set to 0, never overflow binary CDs (for when you only want a single CD
325# and want to know when it overflows).317# and want to know when it overflows).
326export OVERFLOWBINCDS=0318export OVERFLOWBINCDS=0
diff --git a/Makefile b/Makefile
index bfe1368..74d82a0 100644
--- a/Makefile
+++ b/Makefile
@@ -39,53 +39,29 @@ CAPSUBPROJECT:=" Legacy"
39endif39endif
40endif40endif
41ifndef BINDISKINFO41ifndef BINDISKINFO
42ifneq ($(MAXCDS),1)
43export BINDISKINFO="$(CAPPROJECT)$(CAPSUBPROJECT) $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(FULLARCH) Binary-$$num ($$DATE)"
44else
45export BINDISKINFO="$(CAPPROJECT)$(CAPSUBPROJECT) $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(FULLARCH) ($$DATE)"42export BINDISKINFO="$(CAPPROJECT)$(CAPSUBPROJECT) $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(FULLARCH) ($$DATE)"
46endif43endif
47endif
48ifndef SRCDISKINFO44ifndef SRCDISKINFO
49export SRCDISKINFO="$(CAPPROJECT)$(CAPSUBPROJECT) $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) Source-$$num ($$DATE)"45export SRCDISKINFO="$(CAPPROJECT)$(CAPSUBPROJECT) $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) Source-$$num ($$DATE)"
50endif46endif
51# ND=No-Date versions for README47# ND=No-Date versions for README
52ifndef BINDISKINFOND48ifndef BINDISKINFOND
53ifneq ($(MAXCDS),1)
54export BINDISKINFOND="$(CAPPROJECT)$(CAPSUBPROJECT) $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(FULLARCH) Binary-$$num"
55else
56export BINDISKINFOND="$(CAPPROJECT)$(CAPSUBPROJECT) $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(FULLARCH)"49export BINDISKINFOND="$(CAPPROJECT)$(CAPSUBPROJECT) $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(FULLARCH)"
57endif50endif
58endif
59ifndef SRCDISKINFOND51ifndef SRCDISKINFOND
60export SRCDISKINFOND="$(CAPPROJECT) $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) Source-$$num"52export SRCDISKINFOND="$(CAPPROJECT) $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) Source-$$num"
61endif53endif
62ifndef BINVOLID54ifndef BINVOLID
63ifeq ($(ARCH),powerpc)55ifeq ($(ARCH),powerpc)
64ifneq ($(MAXCDS),1)
65BINVOLID="$(CAPPROJECT) $(DEBVERSION) ppc $$num"
66else
67BINVOLID="$(CAPPROJECT) $(DEBVERSION) ppc"56BINVOLID="$(CAPPROJECT) $(DEBVERSION) ppc"
68endif
69else ifeq ($(ARCH),ppc64el)57else ifeq ($(ARCH),ppc64el)
70ifneq ($(MAXCDS),1)
71BINVOLID="$(CAPPROJECT) $(DEBVERSION) ppc64 $$num"
72else
73BINVOLID="$(CAPPROJECT) $(DEBVERSION) ppc64"58BINVOLID="$(CAPPROJECT) $(DEBVERSION) ppc64"
74endif
75else ifeq ($(ARCH),riscv64)59else ifeq ($(ARCH),riscv64)
76ifneq ($(MAXCDS),1)
77BINVOLID="$(CAPPROJECT) $(DEBVERSION) riscv $$num"
78else
79BINVOLID="$(CAPPROJECT) $(DEBVERSION) riscv"60BINVOLID="$(CAPPROJECT) $(DEBVERSION) riscv"
80endif
81else
82ifneq ($(MAXCDS),1)
83BINVOLID="$(CAPPROJECT) $(DEBVERSION) $(ARCH) $$num"
84else61else
85BINVOLID="$(CAPPROJECT) $(DEBVERSION) $(ARCH)"62BINVOLID="$(CAPPROJECT) $(DEBVERSION) $(ARCH)"
86endif63endif
87endif64endif
88endif
89ifndef SRCVOLID65ifndef SRCVOLID
90SRCVOLID="$(CAPPROJECT) $(DEBVERSION) Source $$num"66SRCVOLID="$(CAPPROJECT) $(DEBVERSION) Source $$num"
91endif67endif
@@ -451,13 +427,9 @@ bin-tree: ok bin-list $(BDIR)/CD1/ubuntu
451$(BDIR)/CD1/ubuntu:427$(BDIR)/CD1/ubuntu:
452 @echo "Adding the required directories to the binary CDs ..."428 @echo "Adding the required directories to the binary CDs ..."
453 $(Q)set -e; \429 $(Q)set -e; \
454 for i in $(BDIR)/*.packages; do \430 dir=$(BDIR)/CD1; \
455 dir=$${i%%.packages}; \431 mkdir -p $$dir; \
456 dir=$${dir##$(BDIR)/}; \432 $(add_dirs) $$dir; \
457 dir=$(BDIR)/CD$$dir; \
458 mkdir -p $$dir; \
459 $(add_dirs) $$dir; \
460 done
461433
462src-tree: ok src-list $(SDIR)/CD1/ubuntu434src-tree: ok src-list $(SDIR)/CD1/ubuntu
463$(SDIR)/CD1/ubuntu:435$(SDIR)/CD1/ubuntu:
@@ -477,15 +449,11 @@ bin-infos: bin-tree $(BDIR)/CD1/.disk/info
477$(BDIR)/CD1/.disk/info:449$(BDIR)/CD1/.disk/info:
478 @echo "Generating the binary CD labels and their volume ids ..."450 @echo "Generating the binary CD labels and their volume ids ..."
479 $(Q)set -e; \451 $(Q)set -e; \
480 nb=`find $(BDIR) -name \*.packages | grep '^..?\.packages$$' | wc -l | tr -d " "`; num=0;\452 DATE=$${CDIMAGE_DATE:-`date +%Y%m%d`}; \
481 DATE=$${CDIMAGE_DATE:-`date +%Y%m%d`}; \453 echo -n $(BINDISKINFO) > $(BDIR)/CD1/.disk/info; \
482 for i in $(BDIR)/*.packages; do \454 echo -n $(BINVOLID) > $(BDIR)/1.volid; \
483 num=$${i%%.packages}; num=$${num##$(BDIR)/}; \455 $(set_mkisofs_opts) bin 1 > $(BDIR)/$${num}.mkisofs_opts; \
484 dir=$(BDIR)/CD$$num; \456
485 echo -n $(BINDISKINFO) > $$dir/.disk/info; \
486 echo -n $(BINVOLID) > $(BDIR)/$${num}.volid; \
487 $(set_mkisofs_opts) bin $$num > $(BDIR)/$${num}.mkisofs_opts; \
488 done
489src-infos: src-tree $(SDIR)/CD1/.disk/info457src-infos: src-tree $(SDIR)/CD1/.disk/info
490$(SDIR)/CD1/.disk/info:458$(SDIR)/CD1/.disk/info:
491 @echo "Generating the source CD labels and their volume ids ..."459 @echo "Generating the source CD labels and their volume ids ..."
@@ -525,23 +493,13 @@ endif
525 >> $(BDIR)/1.packages; \493 >> $(BDIR)/1.packages; \
526 fi494 fi
527 $(Q)set -e; \495 $(Q)set -e; \
528 for i in $(BDIR)/*.packages; do \496 dir=$(BDIR)/CD1; \
529 dir=$${i%%.packages}; \497 echo "1 ... "; \
530 n=$${dir##$(BDIR)/}; \498 grep -v '^#' $(BDIR)/1.packages | xargs -n 200 -r $(add_packages) $$dir; \
531 dir=$(BDIR)/CD$$n; \499 $(scanpackages) scan $$dir; \
532 echo "$$n ... "; \500 echo "done.";
533 grep -v '^#' $$i | xargs -n 200 -r $(add_packages) $$dir; \
534 $(scanpackages) scan $$dir; \
535 echo "done."; \
536 done
537 @#Now install the Packages and Packages.cd files501 @#Now install the Packages and Packages.cd files
538 $(Q)set -e; \502 $(scanpackages) install $(BDIR)/CD1;
539 for i in $(BDIR)/*.packages; do \
540 dir=$${i%%.packages}; \
541 dir=$${dir##$(BDIR)/}; \
542 dir=$(BDIR)/CD$$dir; \
543 $(scanpackages) install $$dir; \
544 done
545ifeq ($(LIVE_FILESYSTEM),1)503ifeq ($(LIVE_FILESYSTEM),1)
546 $(Q)$(add_live_filesystem)504 $(Q)$(add_live_filesystem)
547endif505endif
@@ -589,25 +547,21 @@ bootable: ok installtools packages $(BDIR)/bootable-stamp
589$(BDIR)/bootable-stamp:547$(BDIR)/bootable-stamp:
590 @echo "Making the binary CDs bootable ..."548 @echo "Making the binary CDs bootable ..."
591 $(Q)set -e; \549 $(Q)set -e; \
592 for file in $(BDIR)/*.packages; do \550 dir=$(BDIR)/CD1; \
593 dir=$${file%%.packages}; \551 if [ -f $(BASEDIR)/tools/boot/$(DI_CODENAME)/boot-$(FULLARCH) ]; then \
594 n=$${dir##$(BDIR)/}; \552 cd $(BDIR); \
595 dir=$(BDIR)/CD$$n; \553 echo "Running tools/boot/$(DI_CODENAME)/boot-$(FULLARCH) 1 $$dir" ; \
596 if [ -f $(BASEDIR)/tools/boot/$(DI_CODENAME)/boot-$(FULLARCH) ]; then \554 $(BASEDIR)/tools/boot/$(DI_CODENAME)/boot-$(FULLARCH) 1 $$dir; \
597 cd $(BDIR); \555 elif [ -f $(BASEDIR)/tools/boot/$(DI_CODENAME)/boot-$(ARCH) ]; then \
598 echo "Running tools/boot/$(DI_CODENAME)/boot-$(FULLARCH) $$n $$dir" ; \556 cd $(BDIR); \
599 $(BASEDIR)/tools/boot/$(DI_CODENAME)/boot-$(FULLARCH) $$n $$dir; \557 echo "Running tools/boot/$(DI_CODENAME)/boot-$(ARCH) 1 $$dir" ; \
600 elif [ -f $(BASEDIR)/tools/boot/$(DI_CODENAME)/boot-$(ARCH) ]; then \558 $(BASEDIR)/tools/boot/$(DI_CODENAME)/boot-$(ARCH) 1 $$dir; \
601 cd $(BDIR); \559 else \
602 echo "Running tools/boot/$(DI_CODENAME)/boot-$(ARCH) $$n $$dir" ; \560 if [ "$${IGNORE_MISSING_BOOT_SCRIPT:-0}" = "0" ]; then \
603 $(BASEDIR)/tools/boot/$(DI_CODENAME)/boot-$(ARCH) $$n $$dir; \561 echo "No script to make CDs bootable for $(FULLARCH) ..."; \
604 else \562 exit 1; \
605 if [ "$${IGNORE_MISSING_BOOT_SCRIPT:-0}" = "0" ]; then \563 fi; \
606 echo "No script to make CDs bootable for $(FULLARCH) ..."; \564 fi;
607 exit 1; \
608 fi; \
609 fi; \
610 done
611 $(Q)touch $(BDIR)/bootable-stamp565 $(Q)touch $(BDIR)/bootable-stamp
612566
613# Add the install stuff on the first CD567# Add the install stuff on the first CD
@@ -643,41 +597,14 @@ src-extras:
643597
644## IMAGE BUILDING ##598## IMAGE BUILDING ##
645599
646# Get some size info about the build dirs
647imagesinfo: bin-imagesinfo
648bin-imagesinfo: ok
649 $(Q)for i in $(BDIR)/*.packages; do \
650 echo `du -sb $${i%%.packages}`; \
651 done
652src-imagesinfo: ok
653 $(Q)for i in $(SDIR)/*.sources; do \
654 echo `du -sb $${i%%.sources}`; \
655 done
656
657# Generate a md5sum.txt file listings all files on the CD600# Generate a md5sum.txt file listings all files on the CD
658md5list: bin-md5list src-md5list601md5list: bin-md5list src-md5list
659bin-md5list: ok packages bin-secured $(BDIR)/CD1/md5sum.txt602bin-md5list: ok packages bin-secured $(BDIR)/CD1/md5sum.txt
660$(BDIR)/CD1/md5sum.txt:603$(BDIR)/CD1/md5sum.txt:
661 @echo "Generating md5sum of files from all the binary CDs ..."604 @echo "Generating md5sum of files from all the binary CDs ..."
662 $(Q)set -e; \605 $(fastsums) $(BDIR)
663 if [ "$$FASTSUMS" != "1" ] ; then \606 $(hardlink) $(BDIR)/CD1
664 for file in $(BDIR)/*.packages; do \607
665 dir=$${file%%.packages}; \
666 n=$${dir##$(BDIR)/}; \
667 dir=$(BDIR)/CD$$n; \
668 cd $$dir; \
669 find . -follow -type f -print0 | grep -zZ -v "\./md5sum" | \
670 grep -zZ -v "dists/stable" | grep -zZ -v "dists/frozen" | \
671 grep -zZ -v "dists/unstable" | \
672 xargs -0 $(md5sum) > md5sum.txt ; \
673 done \
674 else \
675 $(fastsums) $(BDIR); \
676 fi
677 $(Q)set -e; for dir in $(BDIR)/CD*; do \
678 [ -d "$$dir" ] || continue; \
679 $(hardlink) "$$dir"; \
680 done
681src-md5list: ok sources src-secured $(SDIR)/CD1/md5sum.txt608src-md5list: ok sources src-secured $(SDIR)/CD1/md5sum.txt
682$(SDIR)/CD1/md5sum.txt:609$(SDIR)/CD1/md5sum.txt:
683 @echo "Generating md5sum of files from all the source CDs ..."610 @echo "Generating md5sum of files from all the source CDs ..."
@@ -709,14 +636,7 @@ secured: bin-secured src-secured
709bin-secured: $(BDIR)/secured-stamp636bin-secured: $(BDIR)/secured-stamp
710$(BDIR)/secured-stamp:637$(BDIR)/secured-stamp:
711 @echo "Generating $(CODENAME)-secured on all the binary CDs ..."638 @echo "Generating $(CODENAME)-secured on all the binary CDs ..."
712 $(Q)set -e; \639 cd $(BDIR)/CD1 && $(add_secured)
713 for file in $(BDIR)/*.packages; do \
714 dir=$${file%%.packages}; \
715 n=$${dir##$(BDIR)/}; \
716 dir=$(BDIR)/CD$$n; \
717 cd $$dir; \
718 $(add_secured); \
719 done
720 $(Q)touch $(BDIR)/secured-stamp640 $(Q)touch $(BDIR)/secured-stamp
721641
722src-secured: $(SDIR)/secured-stamp642src-secured: $(SDIR)/secured-stamp
@@ -738,63 +658,57 @@ images: bin-images src-images
738bin-images: ok bin-md5list $(OUT)658bin-images: ok bin-md5list $(OUT)
739 @echo "Generating the binary iso images ..."659 @echo "Generating the binary iso images ..."
740 $(Q)set -e; \660 $(Q)set -e; \
741 for file in $(BDIR)/*.packages; do \661 cd $(BDIR); \
742 dir=$${file%%.packages}; \662 opts=`cat $(BDIR)/1.mkisofs_opts`; \
743 n=$${dir##$(BDIR)/}; \663 volid=`cat $(BDIR)/1.volid`; \
744 num=$$n; \664 rm -f $(OUT)/$(CDBASE).raw; \
745 dir=$(BDIR)/CD$$n; \665 if [ "$(IMAGE_FORMAT)" = "vfat" ]; then \
746 cd $$dir/..; \666 if [ -d boot1/ ]; then \
747 opts=`cat $(BDIR)/$$n.mkisofs_opts`; \667 cp -a boot1/* CD1; \
748 volid=`cat $(BDIR)/$$n.volid`; \
749 rm -f $(OUT)/$(call CDBASE,$$n).raw; \
750 if [ "$(IMAGE_FORMAT)" = "vfat" ]; then \
751 if [ -d boot$$n/ ]; then \
752 cp -a boot$$n/* CD$$n; \
753 fi; \
754 $(make_vfat_img) -d CD$$n \
755 -o $(OUT)/$(call CDBASE,$$n).raw; \
756 elif [ "$(IMAGE_FORMAT)" = "img" ]; then \
757 $(make_raw_img) -g cd-boot-images/ \
758 -d CD$$n -o $(OUT)/$(call CDBASE,$$n).raw; \
759 elif [ "$(IMAGE_FORMAT)" = "iso" ]; then \
760 $(verbose) $(MKISOFS) $(MKISOFS_OPTS) -V "$$volid" \
761 -o $(OUT)/$(call CDBASE,$$n).raw $$opts CD$$n; \
762 chmod +r $(OUT)/$(call CDBASE,$$n).raw; \
763 fi; \668 fi; \
764 if [ -f $(BASEDIR)/tools/boot/$(DI_CODENAME)/post-boot-$(FULLARCH) ]; then \669 $(make_vfat_img) -d CD1 \
765 $(BASEDIR)/tools/boot/$(DI_CODENAME)/post-boot-$(FULLARCH) $$n $(BDIR)/CD$$n \670 -o $(OUT)/$(CDBASE).raw; \
766 $(OUT)/$(call CDBASE,$$n).raw; \671 elif [ "$(IMAGE_FORMAT)" = "img" ]; then \
767 elif [ -f $(BASEDIR)/tools/boot/$(DI_CODENAME)/post-boot-$(ARCH) ]; then \672 $(make_raw_img) -g cd-boot-images/ \
768 $(BASEDIR)/tools/boot/$(DI_CODENAME)/post-boot-$(ARCH) $$n $(BDIR)/CD$$n \673 -d CD1 -o $(OUT)/$(CDBASE).raw; \
769 $(OUT)/$(call CDBASE,$$n).raw; \674 elif [ "$(IMAGE_FORMAT)" = "iso" ]; then \
770 fi; \675 $(verbose) $(MKISOFS) $(MKISOFS_OPTS) -V "$$volid" \
771 done676 -o $(OUT)/$(CDBASE).raw $$opts CD1; \
677 chmod +r $(OUT)/$(CDBASE).raw; \
678 fi; \
679 if [ -f $(BASEDIR)/tools/boot/$(DI_CODENAME)/post-boot-$(FULLARCH) ]; then \
680 $(BASEDIR)/tools/boot/$(DI_CODENAME)/post-boot-$(FULLARCH) 1 $(BDIR)/CD1 \
681 $(OUT)/$(CDBASE).raw; \
682 elif [ -f $(BASEDIR)/tools/boot/$(DI_CODENAME)/post-boot-$(ARCH) ]; then \
683 $(BASEDIR)/tools/boot/$(DI_CODENAME)/post-boot-$(ARCH) 1 $(BDIR)/CD1 \
684 $(OUT)/$(CDBASE).raw; \
685 fi;
772ifeq ($(LIVE_FILESYSTEM),1)686ifeq ($(LIVE_FILESYSTEM),1)
773 -for p in $(LIVEIMAGES)/$(FULLARCH)*.manifest; do \687 -for p in $(LIVEIMAGES)/$(FULLARCH)*.manifest; do \
774 f=`basename $$p`; \688 f=`basename $$p`; \
775 cp -a $$p $(OUT)/$(call CDBASE,$$n).`echo $$f|cut -d. -f2-`; \689 cp -a $$p $(OUT)/$(CDBASE).`echo $$f|cut -d. -f2-`; \
776 done690 done
777 -if [ -e $(LIVEIMAGES)/$(FULLARCH).manifest-remove ]; then \691 -if [ -e $(LIVEIMAGES)/$(FULLARCH).manifest-remove ]; then \
778 cp -a $(LIVEIMAGES)/$(FULLARCH).manifest-remove $(OUT)/$(call CDBASE,$$n).manifest-remove; \692 cp -a $(LIVEIMAGES)/$(FULLARCH).manifest-remove $(OUT)/$(CDBASE).manifest-remove; \
779 elif [ -e $(LIVEIMAGES)/$(FULLARCH).manifest-desktop ]; then \693 elif [ -e $(LIVEIMAGES)/$(FULLARCH).manifest-desktop ]; then \
780 cp -a $(LIVEIMAGES)/$(FULLARCH).manifest-desktop $(OUT)/$(call CDBASE,$$n).manifest-desktop; \694 cp -a $(LIVEIMAGES)/$(FULLARCH).manifest-desktop $(OUT)/$(CDBASE).manifest-desktop; \
781 fi695 fi
782 -if [ -e $(LIVEIMAGES)/$(FULLARCH).manifest-minimal-remove ]; then \696 -if [ -e $(LIVEIMAGES)/$(FULLARCH).manifest-minimal-remove ]; then \
783 cp -a $(LIVEIMAGES)/$(FULLARCH).manifest-minimal-remove $(OUT)/$(call CDBASE,$$n).manifest-minimal-remove; \697 cp -a $(LIVEIMAGES)/$(FULLARCH).manifest-minimal-remove $(OUT)/$(CDBASE).manifest-minimal-remove; \
784 fi698 fi
785endif699endif
786700
787# FIXME: This only works with CD1, and not with addon CDs.701# FIXME: This only works with CD1, and not with addon CDs.
788bin-compress_images: ok $(OUT)702bin-compress_images: ok $(OUT)
789 @if [ ! -e "$(OUT)/$(call CDBASE,1).raw" ]; then \703 @if [ ! -e "$(OUT)/$(CDBASE).raw" ]; then \
790 echo "No image for $(FULLARCH)!" >&2; \704 echo "No image for $(FULLARCH)!" >&2; \
791 exit 1; \705 exit 1; \
792 fi;706 fi;
793 @file -b $(OUT)/$(call CDBASE,1).raw > $(OUT)/$(call CDBASE,1).type707 @file -b $(OUT)/$(CDBASE).raw > $(OUT)/$(CDBASE).type
794 @if ! grep -q '^gzip' $(OUT)/$(call CDBASE,1).type; then \708 @if ! grep -q '^gzip' $(OUT)/$(CDBASE).type; then \
795 set -e; \709 set -e; \
796 gzip -9 --rsyncable $(OUT)/$(call CDBASE,1).raw; \710 gzip -9 --rsyncable $(OUT)/$(CDBASE).raw; \
797 mv $(OUT)/$(call CDBASE,1).raw.gz $(OUT)/$(call CDBASE,1).raw; \711 mv $(OUT)/$(CDBASE).raw.gz $(OUT)/$(CDBASE).raw; \
798 fi;712 fi;
799713
800src-images: ok src-md5list $(OUT)714src-images: ok src-md5list $(OUT)
@@ -827,43 +741,6 @@ pi-makelist:
827 fi \741 fi \
828 done742 done
829743
830# Generate only one image number $(CD)
831image: bin-image
832bin-image: ok bin-md5list $(OUT)
833 @echo "Generating the binary iso image n�$(CD) ..."
834 @test -n "$(CD)" || (echo "Give me a CD=<num> parameter !" && false)
835 set -e; cd $(BDIR); opts=`cat $(CD).mkisofs_opts`; \
836 volid=`cat $(CD).volid`; \
837 rm -f $(OUT)/$(call CDBASE,$(CD)).raw; \
838 if [ "$(IMAGE_FORMAT)" = "vfat" ]; then \
839 if [ -d boot$(CD)/ ]; then \
840 cp -a boot$(CD)/* CD$(CD); \
841 fi; \
842 $(make_vfat_img) -d CD$(CD) -o $(OUT)/$(call CDBASE,$(CD)).raw; \
843 elif [ "$(IMAGE_FORMAT)" = "iso" ]; then \
844 $(MKISOFS) $(MKISOFS_OPTS) -V "$$volid" \
845 -o $(OUT)/$(call CDBASE,$(CD)).raw $$opts CD$(CD); \
846 chmod +r $(OUT)/$(call CDBASE,$(CD)).raw; \
847 fi; \
848 if [ -f $(BASEDIR)/tools/boot/$(DI_CODENAME)/post-boot-$(FULLARCH) ]; then \
849 $(BASEDIR)/tools/boot/$(DI_CODENAME)/post-boot-$(FULLARCH) $(CD) $(BDIR)/CD$(CD) \
850 $(OUT)/$(call CDBASE,$(CD)).raw; \
851 elif [ -f $(BASEDIR)/tools/boot/$(DI_CODENAME)/post-boot-$(ARCH) ]; then \
852 $(BASEDIR)/tools/boot/$(DI_CODENAME)/post-boot-$(ARCH) $(CD) $(BDIR)/CD$(CD) \
853 $(OUT)/$(call CDBASE,$(CD)).raw; \
854 fi
855
856src-image: ok src-md5list $(OUT)
857 @echo "Generating the source iso image n�$(CD) ..."
858 @test -n "$(CD)" || (echo "Give me a CD=<num> parameter !" && false)
859 set -e; cd $(SDIR); opts=`cat $(CD).mkisofs_opts`; \
860 volid=`cat $(CD).volid`; \
861 rm -f $(OUT)/$(call CDSRCBASE,$(CD)).raw; \
862 $(MKISOFS) $(MKISOFS_OPTS) -V "$$volid" \
863 -o $(OUT)/$(call CDSRCBASE,$(CD)).raw $$opts CD$(CD); \
864 chmod +r $(OUT)/$(call CDSRCBASE,$(CD)).raw
865
866
867#Calculate the md5sums for the images (if available), or get from templates744#Calculate the md5sums for the images (if available), or get from templates
868imagesums:745imagesums:
869 $(Q)cd $(OUT); :> MD5SUMS; :> SHA1SUMS; for file in `find * -name \*.raw`; do \746 $(Q)cd $(OUT); :> MD5SUMS; :> SHA1SUMS; for file in `find * -name \*.raw`; do \
diff --git a/tools/list2cds b/tools/list2cds
index 64506fc..d8b17e3 100755
--- a/tools/list2cds
+++ b/tools/list2cds
@@ -22,7 +22,7 @@ my $exclude = "$list.exclude";
22my $nodepends = $ENV{'NODEPENDS'} || 0;22my $nodepends = $ENV{'NODEPENDS'} || 0;
23my $norecommends = $ENV{'NORECOMMENDS'} || 0;23my $norecommends = $ENV{'NORECOMMENDS'} || 0;
24my $nosuggests = $ENV{'NOSUGGESTS'} || 1;24my $nosuggests = $ENV{'NOSUGGESTS'} || 1;
25my $maxcds = $ENV{'MAXCDS'} || 0;25my $maxcds = 1;
26my $overflowbincds = $ENV{'OVERFLOWBINCDS'} || 1;26my $overflowbincds = $ENV{'OVERFLOWBINCDS'} || 1;
2727
28my $apt = "$ENV{'BASEDIR'}/tools/apt-selection";28my $apt = "$ENV{'BASEDIR'}/tools/apt-selection";
@@ -288,7 +288,7 @@ foreach (glob("$dir/*.packages")) {
288# Now write the lists down288# Now write the lists down
289my $numcds=0;289my $numcds=0;
290foreach (sort { $a <=> $b } keys %cds) {290foreach (sort { $a <=> $b } keys %cds) {
291 if ($maxcds && $numcds+1 > $maxcds) {291 if ($maxcds && $numcds+1 > 1) {
292 msg(0, "Stopping at CD $numcds\n");292 msg(0, "Stopping at CD $numcds\n");
293 last;293 last;
294 }294 }

Subscribers

People subscribed via source and target branches